PHP で PostgreSQL へ接続できない><

Pocket

PostgreSQL徹底入門 第2版先日、sarge → etch への更新を実施したわけです。
するとすると、困ったことに php で PostgreSQL に接続できないんです。pg_connect() で

PHP Warning: pg_connect(): Cannot create new link. Too many open links

なんでやねん。
/etc/php4/apache2/php.ini に “extension = pgsql.so” 追加してあるし、phpinfo()でも、pgsql は利用可能みたいだけど・・・。

PostgreSQL留意点

そんな感じでいろいろ眺めていたときに、ココを見つけてぴきーんときました。
etch からだという理解なんですが(テキトー) /etc/php4/conf.d/ に各extension の .ini ファイルが配置されているようです。いつも通り、Debianルールを読まないオレが悪いのか、Debianの配慮が効き過ぎてるのか、まぁおれが悪いんだな。
ということで、/etc/php4/apache2/php.ini に余計に extension = ・・・ する必要がないことが分かり、追加した行を削除。

ぁぁ、直った。これが一番大変だった・・・こんなことで・・・ orz

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください